
/*
@The skeleton was generated by VUTGenerator@
=======================================
module_name: fulladder
---------------------------------------
Author: <author>
Data: <date>
---------------------------------------
Description: <description>
=======================================
*/

module fulladder(a,b,result,overflow);
//Inputs
    input [7:0] a;
    input [7:0] b;

//Outputs
    output [7:0] result;
    output overflow;

//Wires
    wire [7:0] a;
    wire [7:0] b;

//Regs
    reg [7:0] result;
    reg overflow;

//Behavior

always @ * {overflow, result} = a + b;

endmodule
